Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class ItemFood

    java.lang.Object
      net.minecraft.src.Item
          net.minecraft.src.ItemFood

Direct Known Subclasses:
  ItemAppleGold, ItemSeedFood, ItemSoup

    public class ItemFood

extends Item

Field Summary
`int` | `itemUseDuration` Number of ticks to run while 'EnumAction'ing until result.

Fields inherited from class net.minecraft.src.Item
`appleGold, appleRed, arrow, axeDiamond, axeGold, axeSteel, axeStone, axeWood, bed, beefCooked, beefRaw, blazePowder, blazeRod, boat, bone, book, bootsChain, bootsDiamond, bootsGold, bootsLeather, bootsSteel, bow, bowlEmpty, bowlSoup, bread, brewingStand, brick, bucketEmpty, bucketLava, bucketMilk, bucketWater, cake, cauldron, chickenCooked, chickenRaw, clay, coal, compass, cookie, diamond, doorSteel, doorWood, dyePowder, egg, emerald, enderPearl, expBottle, eyeOfEnder, feather, fermentedSpiderEye, field_82791_bT, field_82792_bS, field_82793_bR, field_82794_bL, field_82795_bM, field_82796_bJ, field_82797_bK, field_82798_bP, field_82799_bQ, field_82800_bN, field_82801_bO, field_82802_bI, fireballCharge, fishCooked, fishingRod, fishRaw, flint, flintAndSteel, ghastTear, glassBottle, goldNugget, gunpowder, helmetChain, helmetDiamond, helmetGold, helmetLeather, helmetSteel, hoeDiamond, hoeGold, hoeSteel, hoeStone, hoeWood, ingotGold, ingotIron, isDefaultTexture, itemsList, leather, legsChain, legsDiamond, legsGold, legsLeather, legsSteel, lightStoneDust, magmaCream, map, melon, melonSeeds, minecartCrate, minecartEmpty, minecartPowered, monsterPlacer, netherStalkSeeds, painting, paper, pickaxeDiamond, pickaxeGold, pickaxeSteel, pickaxeStone, pickaxeWood, plateChain, plateDiamond, plateGold, plateLeather, plateSteel, pocketSundial, porkCooked, porkRaw, potion, pumpkinSeeds, record11, record13, recordBlocks, recordCat, recordChirp, recordFar, recordMall, recordMellohi, recordStal, recordStrad, recordWard, redstone, redstoneRepeater, reed, rottenFlesh, saddle, seeds, shears, shiftedIndex, shovelDiamond, shovelGold, shovelSteel, shovelStone, shovelWood, sign, silk, slimeBall, snowball, speckledMelon, spiderEye, stick, sugar, swordDiamond, swordGold, swordSteel, swordStone, swordWood, wheat, writableBook, writtenBook`

Constructor Summary
`ItemFood(int par1, int par2, boolean par3)`
`ItemFood(int par1, int par2, float par3, boolean par4)`

Method Summary
`int` | `getHealAmount()`
`EnumAction` | `getItemUseAction(ItemStack par1ItemStack)` returns the action that specifies what animation to play when the items is being used
`int` | `getMaxItemUseDuration(ItemStack par1ItemStack)` How long it takes to use or consume an item
`float` | `getSaturationModifier()` gets the saturationModifier of the ItemFood
`boolean` | `isWolfsFavoriteMeat()` Whether wolves like this food (true for raw and cooked porkchop).
`ItemStack` | `onFoodEaten(ItemStack par1ItemStack, World par2World, EntityPlayer par3EntityPlayer)`
`ItemStack` | `onItemRightClick(ItemStack par1ItemStack, World par2World, EntityPlayer par3EntityPlayer)` Called whenever this item is equipped and the right mouse button is pressed.
`ItemFood` | `setAlwaysEdible()` Set the field 'alwaysEdible' to true, and make the food edible even if the player don't need to eat.
`ItemFood` | `setPotionEffect(int par1, int par2, int par3, float par4)` sets a potion effect on the item.

Methods inherited from class net.minecraft.src.Item
`addInformation, canHarvestBlock, createEntity, doesContainerItemLeaveCraftingGrid, func_77653_i, func_82788_x, func_82789_a, func_82790_a, getContainerItem, getContainerItemStack, getCreativeTab, getDamageVsEntity, getEntityLifespan, getHasSubtypes, getIconFromDamage, getIconFromDamageForRenderPass, getIconIndex, getIconIndex, getItemDisplayName, getItemEnchantability, getItemName, getItemNameIS, getItemStackLimit, getLocalItemName, getMaxDamage, getMetadata, getPotionEffect, getRarity, getRenderPasses, getShareTag, getStatName, getStrVsBlock, getStrVsBlock, getSubItems, getTextureFile, hasContainerItem, hasCustomEntity, hasEffect, hitEntity, isDamageable, isFull3D, isItemTool, isMap, isPotionIngredient, isRepairable, itemInteractionForEntity, onBlockDestroyed, onBlockStartBreak, onCreated, onDroppedByPlayer, onItemUse, onItemUseFirst, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUpdate, onUsingItemTick, requiresMultipleRenderPasses, setContainerItem, setCreativeTab, setFull3D, setIconCoord, setIconIndex, setItemName, setMaxDamage, setMaxStackSize, setNoRepair, setTextureFile, shouldRotateAroundWhenRendering`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### itemUseDuration

    public final int itemUseDuration

  Number of ticks to run while 'EnumAction'ing until result.

Constructor Detail

### ItemFood

    public ItemFood(int par1,
                    int par2,
                    float par3,
                    boolean par4)

### ItemFood

    public ItemFood(int par1,
                    int par2,
                    boolean par3)

Method Detail

### onFoodEaten

    public ItemStack onFoodEaten(ItemStack par1ItemStack,
                                 World par2World,
                                 EntityPlayer par3EntityPlayer)

  Overrides:
    `onFoodEaten` in class `Item`

### getMaxItemUseDuration

    public int getMaxItemUseDuration(ItemStack par1ItemStack)

  How long it takes to use or consume an item

  Overrides:
    `getMaxItemUseDuration` in class `Item`

### getItemUseAction

    public EnumAction getItemUseAction(ItemStack par1ItemStack)

  returns the action that specifies what animation to play when the items is being used

  Overrides:
    `getItemUseAction` in class `Item`

### onItemRightClick

    public ItemStack onItemRightClick(ItemStack par1ItemStack,
                                      World par2World,
                                      EntityPlayer par3EntityPlayer)

  Called whenever this item is equipped and the right mouse button is pressed. Args: itemStack, world, entityPlayer

  Overrides:
    `onItemRightClick` in class `Item`

### getHealAmount

    public int getHealAmount()

### getSaturationModifier

    public float getSaturationModifier()

  gets the saturationModifier of the ItemFood

### isWolfsFavoriteMeat

    public boolean isWolfsFavoriteMeat()

  Whether wolves like this food (true for raw and cooked porkchop).

### setPotionEffect

    public ItemFood setPotionEffect(int par1,
                                    int par2,
                                    int par3,
                                    float par4)

  sets a potion effect on the item. Args: int potionId, int duration (will be multiplied by 20), int amplifier, float probability of effect happening

### setAlwaysEdible

    public ItemFood setAlwaysEdible()

  Set the field 'alwaysEdible' to true, and make the food edible even if the player don't need to eat.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD